org.apache.avro.ipc

## Class HandshakeResponse.Builder

- java.lang.Object
- - org.apache.avro.data.RecordBuilderBase<T>
  - - org.apache.avro.specific.SpecificRecordBuilderBase<HandshakeResponse>
    - - org.apache.avro.ipc.HandshakeResponse.Builder

All Implemented Interfaces:
  org.apache.avro.data.RecordBuilder<HandshakeResponse>

Enclosing class:
  HandshakeResponse

    public static class HandshakeResponse.Builder
    extends org.apache.avro.specific.SpecificRecordBuilderBase<HandshakeResponse>
    implements org.apache.avro.data.RecordBuilder<HandshakeResponse>

RecordBuilder for HandshakeResponse instances.

### Method Summary

All Methods Instance Methods Concrete Methods
`HandshakeResponse` `build()`
`HandshakeResponse.Builder` `clearMatch()` Clears the value of the 'match' field.
`HandshakeResponse.Builder` `clearMeta()` Clears the value of the 'meta' field.
`HandshakeResponse.Builder` `clearServerHash()` Clears the value of the 'serverHash' field.
`HandshakeResponse.Builder` `clearServerProtocol()` Clears the value of the 'serverProtocol' field.
`HandshakeMatch` `getMatch()` Gets the value of the 'match' field.
`Map<String,ByteBuffer>` `getMeta()` Gets the value of the 'meta' field.
`Optional<HandshakeMatch>` `getOptionalMatch()` Gets the value of the 'match' field as an Optional<org.apache.avro.ipc.HandshakeMatch>.
`Optional<Map<String,ByteBuffer>>` `getOptionalMeta()` Gets the value of the 'meta' field as an Optional<java.util.Map<java.lang.String,java.nio.ByteBuffer>>.
`Optional<MD5>` `getOptionalServerHash()` Gets the value of the 'serverHash' field as an Optional<org.apache.avro.ipc.MD5>.
`Optional<String>` `getOptionalServerProtocol()` Gets the value of the 'serverProtocol' field as an Optional<java.lang.String>.
`MD5` `getServerHash()` Gets the value of the 'serverHash' field.
`String` `getServerProtocol()` Gets the value of the 'serverProtocol' field.
`boolean` `hasMatch()` Checks whether the 'match' field has been set.
`boolean` `hasMeta()` Checks whether the 'meta' field has been set.
`boolean` `hasServerHash()` Checks whether the 'serverHash' field has been set.
`boolean` `hasServerProtocol()` Checks whether the 'serverProtocol' field has been set.
`HandshakeResponse.Builder` `setMatch(HandshakeMatch value)` Sets the value of the 'match' field.
`HandshakeResponse.Builder` `setMeta(Map<String,ByteBuffer> value)` Sets the value of the 'meta' field.
`HandshakeResponse.Builder` `setServerHash(MD5 value)` Sets the value of the 'serverHash' field.
`HandshakeResponse.Builder` `setServerProtocol(String value)` Sets the value of the 'serverProtocol' field.

### Methods inherited from class org.apache.avro.data.RecordBuilderBase

`data, defaultValue, equals, fields, fieldSetFlags, hashCode, isValidValue, schema, validate`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getMatch

    public HandshakeMatch getMatch()

Gets the value of the 'match' field.

Returns:
  The value.

#### getOptionalMatch

    public Optional<HandshakeMatch> getOptionalMatch()

Gets the value of the 'match' field as an Optional<org.apache.avro.ipc.HandshakeMatch>.

Returns:
  The value wrapped in an Optional<org.apache.avro.ipc.HandshakeMatch>.

#### setMatch

    public HandshakeResponse.Builder setMatch(HandshakeMatch value)

Sets the value of the 'match' field.

Parameters:
  `value` - The value of 'match'.
Returns:
  This builder.

#### hasMatch

    public boolean hasMatch()

Checks whether the 'match' field has been set.

Returns:
  True if the 'match' field has been set, false otherwise.

#### clearMatch

    public HandshakeResponse.Builder clearMatch()

Clears the value of the 'match' field.

Returns:
  This builder.

#### getServerProtocol

    public String getServerProtocol()

Gets the value of the 'serverProtocol' field.

Returns:
  The value.

#### getOptionalServerProtocol

    public Optional<String> getOptionalServerProtocol()

Gets the value of the 'serverProtocol' field as an Optional<java.lang.String>.

Returns:
  The value wrapped in an Optional<java.lang.String>.

#### setServerProtocol

    public HandshakeResponse.Builder setServerProtocol(String value)

Sets the value of the 'serverProtocol' field.

Parameters:
  `value` - The value of 'serverProtocol'.
Returns:
  This builder.

#### hasServerProtocol

    public boolean hasServerProtocol()

Checks whether the 'serverProtocol' field has been set.

Returns:
  True if the 'serverProtocol' field has been set, false otherwise.

#### clearServerProtocol

    public HandshakeResponse.Builder clearServerProtocol()

Clears the value of the 'serverProtocol' field.

Returns:
  This builder.

#### getServerHash

    public MD5 getServerHash()

Gets the value of the 'serverHash' field.

Returns:
  The value.

#### getOptionalServerHash

    public Optional<MD5> getOptionalServerHash()

Gets the value of the 'serverHash' field as an Optional<org.apache.avro.ipc.MD5>.

Returns:
  The value wrapped in an Optional<org.apache.avro.ipc.MD5>.

#### setServerHash

    public HandshakeResponse.Builder setServerHash(MD5 value)

Sets the value of the 'serverHash' field.

Parameters:
  `value` - The value of 'serverHash'.
Returns:
  This builder.

#### hasServerHash

    public boolean hasServerHash()

Checks whether the 'serverHash' field has been set.

Returns:
  True if the 'serverHash' field has been set, false otherwise.

#### clearServerHash

    public HandshakeResponse.Builder clearServerHash()

Clears the value of the 'serverHash' field.

Returns:
  This builder.

#### getMeta

    public Map<String,ByteBuffer> getMeta()

Gets the value of the 'meta' field.

Returns:
  The value.

#### getOptionalMeta

    public Optional<Map<String,ByteBuffer>> getOptionalMeta()

Gets the value of the 'meta' field as an Optional<java.util.Map<java.lang.String,java.nio.ByteBuffer>>.

Returns:
  The value wrapped in an Optional<java.util.Map<java.lang.String,java.nio.ByteBuffer>>.

#### setMeta

    public HandshakeResponse.Builder setMeta(Map<String,ByteBuffer> value)

Sets the value of the 'meta' field.

Parameters:
  `value` - The value of 'meta'.
Returns:
  This builder.

#### hasMeta

    public boolean hasMeta()

Checks whether the 'meta' field has been set.

Returns:
  True if the 'meta' field has been set, false otherwise.

#### clearMeta

    public HandshakeResponse.Builder clearMeta()

Clears the value of the 'meta' field.

Returns:
  This builder.

#### build

    public HandshakeResponse build()

Specified by:
  `build` in interface `org.apache.avro.data.RecordBuilder<HandshakeResponse>`